package com.ningdatech.carapi.analysis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 车辆违章情况评估
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-15
 */
@Data
@TableName("nd_vehicle_violation_eval")
@ApiModel(value = "VehicleViolationEval对象", description = "车辆违章情况评估")
public class VehicleViolationEval implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("地区ID")
    private Long regionId;

    @ApiModelProperty("企业编码")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改人ID")
    private Long updateBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("车辆ID")
    private Long carId;

    @ApiModelProperty("车牌号")
    private String carNo;

    @ApiModelProperty("车辆风险等级")
    private Integer dangerLevel;

    @ApiModelProperty("车架号")
    private String carFrameNo;

    @ApiModelProperty("行驶里程")
    private Integer mileage;

    @ApiModelProperty("累计违章次数")
    private Integer violationCount;

    @ApiModelProperty("万公里违章次数")
    private Integer avgViolationCount;

    @ApiModelProperty("备注")
    private String remark;

}
