package com.ningdatech.carapi.analysis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 驾驶员综合预警分析
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-01
 */
@Data
@TableName("nd_warn_analysis_driver")
@ApiModel(value = "WarnAnalysisDriver对象", description = "驾驶员综合预警分析")
public class WarnAnalysisDriver implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("地区ID")
    private Long regionId;

    @ApiModelProperty("企业编码")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改人ID")
    private Long updateBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("受伤人数")
    private Integer injuredCount;

    @ApiModelProperty("死亡人数")
    private Integer deadCount;

    @ApiModelProperty("出险次数")
    private Integer dangerCount;

    @ApiModelProperty("驾驶员风险分值")
    private Integer dangerScore;

    @ApiModelProperty("司机ID")
    private Long driverId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("风险等级")
    private Integer dangerLevel;

    @ApiModelProperty("超速次数")
    private Integer overSpeedCount;

    @ApiModelProperty("违章次数")
    private Integer violationCount;

}
