package com.ningdatech.carapi.analysis.entity.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 * IndustryStandardsListReq
 * </p>
 *
 * @author WendyYang
 * @since 10:25 2022/10/15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class IndustryStandardsListReq extends PagePo {

    @NotNull(message = "行业标准类型不能为空")
    @ApiModelProperty("行业规范类型：1 车属企业安全管理规范、2 车辆安全设备规范、3 车辆驾驶安全标准、4 安全生产管理人员标准、5 驾驶员教育考核标准")
    private Integer type;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

}
