package com.ningdatech.carapi.analysis.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 行业标准新增实体
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-15
 */
@Data
@ApiModel(value = "行业标准新增实体")
public class IndustryStandardsSaveReq {

    @ApiModelProperty("行业标准说明")
    @NotBlank(message = "行业标准说明不能为空")
    private String name;

    @ApiModelProperty("标准类型")
    @NotNull(message = "标准类型不能为空")
    private Integer type;

    @ApiModelProperty("文件ID")
    @NotNull(message = "文件ID不能为空")
    private Long fileId;

}
