package com.ningdatech.carapi.analysis.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 车辆超速情况修改参数
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-15
 */
@Data
@ApiModel("车辆超速情况修改参数")
public class VehicleOverSpeedEvalModReq {

    @ApiModelProperty("主键")
    @NotNull(message = "id不能为空")
    private Integer id;

    @ApiModelProperty("车牌号")
    @NotBlank(message = "车牌号不能为空")
    private String carNo;

    @ApiModelProperty("累计超速次数")
    @NotNull(message = "累计超速次数不能为空")
    private Integer overSpeedCount;

    @ApiModelProperty("万公里超速次数")
    @NotNull(message = "万公里超速次数不能为空")
    private Integer avgOverSpeedCount;

    @ApiModelProperty("备注")
    private String remark;

}
