package com.ningdatech.carapi.analysis.entity.vo;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 安全管理综合评级列表视图类
 * </p>
 *
 * @author WendyYang
 * @since 14:41 2022/10/13
 */
@Data
@ApiModel("安全管理综合评级列表视图类")
public class SecurityManageGradeVo {

    @ApiModelProperty("所属地区")
    private List<RegionDTO> regions;

    @ApiModelProperty("年度")
    private Integer year;

    @ApiModelProperty("企业编码")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("安全评级")
    private String securityLevel;

    @ApiModelProperty("综合得分")
    private Integer score;

}
