package com.ningdatech.carapi.analysis.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 安全制度建设分析评估
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-14
 */
@Data
@TableName("nd_security_manage_result_eval")
@ApiModel(value = "SecurityManageResultEval对象", description = "安全制度建设分析评估")
public class SecurityManageResultEvalListVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("年度")
    private Integer year;

    @ApiModelProperty("地区")
    private List<RegionDTO> regions;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("综合得分")
    private Integer totalScore;

    @ApiModelProperty("出险次数")
    private Integer dangerCount;

    @ApiModelProperty("出险扣分")
    private Integer dangerScore;

    @ApiModelProperty("死亡人数")
    private Integer deadCount;

    @ApiModelProperty("死亡扣分")
    private Integer deadScore;

    @ApiModelProperty("受伤人数")
    private Integer injuredCount;

    @ApiModelProperty("受伤扣分")
    private Integer injuredScore;

}
