package com.ningdatech.carapi.analysis.entity.vo;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 车辆出险情况评估列表视图类
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-15
 */
@Data
@ApiModel("车辆出险情况评估列表视图类")
public class VehicleAccidentEvalListVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("车牌号")
    private String carNo;

    @ApiModelProperty("车辆风险等级")
    private Integer dangerLevel;

    @ApiModelProperty("车辆风险等级名称")
    private String dangerLevelName;

    @ApiModelProperty("车架号")
    private String carFrameNo;

    @ApiModelProperty("行驶里程")
    private Integer mileage;

    @ApiModelProperty("累计出险次数")
    private Integer accidentCount;

    @ApiModelProperty("地域")
    private List<RegionDTO> regions;

    @ApiModelProperty("万公里出险次数")
    private Integer avgAccidentCount;

}
