package com.ningdatech.carapi.analysis.entity.vo;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 车辆使用年限列表视图类
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-15
 */
@Data
@Builder
@ApiModel("车辆使用年限列表视图类")
public class VehicleServiceLifeListVo {

    @Tolerate
    public VehicleServiceLifeListVo() {
    }

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("地域信息")
    private List<RegionDTO> regions;

    @ApiModelProperty("企业")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("车辆风险等级")
    private Integer dangerLevel;

    @ApiModelProperty("车牌号")
    private String carNo;

    @ApiModelProperty("车架号")
    private String carFrameNo;

    @ApiModelProperty("购置时间")
    private LocalDate buyTime;

    @ApiModelProperty("车辆使用时间")
    private Integer usedTime;

    @ApiModelProperty("车辆使用年限占比（报废年限）")
    private Integer usedTimePercent;

}
