package com.ningdatech.carapi.analysis.entity.vo;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 企业综合预警分析列表视图类
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-14
 */
@Data
@ApiModel("企业综合预警分析列表视图类")
public class WarnAnalysisByCompanyVo  {

    @ApiModelProperty("主键")
    private Integer id;

    private List<RegionDTO> regions;

    @ApiModelProperty("企业id")
    private String companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("综合得分")
    private Integer totalScore;

    @ApiModelProperty("违章次数")
    private Integer violationCount;

    @ApiModelProperty("出险次数")
    private Integer dangerCount;

    @ApiModelProperty("受伤人数")
    private Integer injuredCount;

    @ApiModelProperty("死亡人数")
    private Integer deadCount;

    @ApiModelProperty("风险等级")
    private Integer dangerLevel;

    @ApiModelProperty("车辆数")
    private Integer carCount;

}
