package com.ningdatech.carapi.analysis.entity.vo;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 驾驶员综合预警分析列表视图类
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-14
 */
@Data
@ApiModel("驾驶员综合预警分析列表视图类")
public class WarnAnalysisByDriverVo {


    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("地区ID")
    private List<RegionDTO> regions;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("受伤人数")
    private Integer injuredCount;

    @ApiModelProperty("死亡人数")
    private Integer deadCount;

    @ApiModelProperty("出险次数")
    private Integer dangerCount;

    @ApiModelProperty("车辆风险分值")
    private Integer dangerScore;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("风险等级")
    private Integer dangerLevel;

    @ApiModelProperty("超速次数")
    private Integer overSpeedCount;

    @ApiModelProperty("违章次数")
    private Integer violationCount;

}
