package com.ningdatech.carapi.analysis.service.impl;

import com.ningdatech.carapi.analysis.entity.WarnAnalysisDriver;
import com.ningdatech.carapi.analysis.entity.req.WarnAnalysisListReq;
import com.ningdatech.carapi.analysis.mapper.WarnAnalysisDriverMapper;
import com.ningdatech.carapi.analysis.service.IWarnAnalysisDriverService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 驾驶员综合预警分析 服务实现类
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-01
 */
@Service
@RequiredArgsConstructor
public class WarnAnalysisDriverServiceImpl extends ServiceImpl<WarnAnalysisDriverMapper, WarnAnalysisDriver> implements IWarnAnalysisDriverService {

    private final WarnAnalysisDriverMapper mapper;

    @Override
    public List<WarnAnalysisDriver> listDriverAnalysis(WarnAnalysisListReq req) {
        return mapper.listDriverAnalysis(req);
    }

    @Override
    public Integer saveBatchXml(List<WarnAnalysisDriver> singleList) {
        return mapper.saveBatchXml(singleList);
    }
}
