package com.ningdatech.carapi.archives.model.po;

import com.ningdatech.carapi.driver.constant.QuestionTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/17 下午2:26
 */
@Data
@ApiModel("创建新试题PO")
public class ReqSaveNewQuestionPO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty(value = "题目类型", allowableValues = "SINGLE_CHOICE 单项选择题" +
            ",MULTIPLE_CHOICE 多项选择题 ,JUDGMENTAL 判断题")
    @NotNull(message = "题目类型 不能为空")
    private QuestionTypeEnum questionType;

    @ApiModelProperty("题目内容")
    @NotBlank(message = "题目内容不能为空")
    private String stem;

    @ApiModelProperty("选择题选项")
    private List<String> options;

    @ApiModelProperty("选择题正确答案")
    private List<String> choiceQuestionCorrectAnswer;

    @ApiModelProperty("判断题正确答案")
    private Boolean judgmentalQuestionCorrectAnswer;
}
