package com.ningdatech.carapi.car.equipment.model.dto;

import com.ningdatech.carapi.car.equipment.model.NdVehicleEquipmentChannels;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 实体类
 * 车辆设备
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "EquipmentUpdateDTO", description = "车辆设备编辑")
public class EquipmentUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @NotNull(message = "请传id")
    private Long id;

    /**
     * SIM卡号
     */
    @ApiModelProperty("SIM卡号")
    private String simCardNo;

    /**
     * 终端号
     */
    @ApiModelProperty("终端号")
    private String endPoint;

    /**
     * 设备号
     */
    @ApiModelProperty("设备号")
    private String equipmentNo;

    /**
     * 设备功能
     */
    @ApiModelProperty("设备功能")
    private String equipmentFunction;

    /**
     * 终端类型
     */
    @ApiModelProperty("终端类型")
    private String endType;

    /**
     * 下级平台
     */
    @ApiModelProperty("下级平台")
    private String subordinatePlatform;

    /**
     * 车辆ID
     */
    @ApiModelProperty("车辆ID")
    private Long vehicleId;

    @ApiModelProperty("设备通道")
    private List<NdVehicleEquipmentChannels> channels;
}
