package com.ningdatech.carapi.car.equipment.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-09
 */
@Data
@ApiModel(value = "VehicleEquipmentDTO", description = "车辆档案-车辆设备DTO")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class VehicleEquipmentDTO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @ExcelProperty("ID")
    private Long id;

    @ApiModelProperty("车牌号")
    @ExcelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("所属企业ID")
    @ExcelProperty("所属企业ID")
    private Long companyId;

    @ApiModelProperty("所属企业名称")
    @ExcelProperty("所属企业名称")
    private String companyName;

    @ApiModelProperty("行政区域id")
    @ExcelProperty("行政区域id")
    private Long regionId;

    @ApiModelProperty("行政区域名称")
    @ExcelProperty("行政区域名称")
    private String regionName;

    @ApiModelProperty("车辆类型")
    @ExcelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    @ExcelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("运营商ID")
    @ExcelProperty("运营商ID")
    private Long operatorId;

    @ApiModelProperty("运营商名")
    @ExcelProperty("运营商名")
    private String operatorName;

    @ApiModelProperty("设备ID")
    @ExcelProperty("设备ID")
    private Long equipmentId;

    /**
     * SIM卡号
     */
    @ApiModelProperty("SIM卡号")
    @ExcelProperty("SIM卡号")
    private String simCardNo;

    /**
     * 终端号
     */
    @ApiModelProperty("终端号")
    @ExcelProperty("终端号")
    private String endPoint;

    /**
     * 设备号
     */
    @ApiModelProperty("设备号")
    @ExcelProperty("设备号")
    private String equipmentNo;

    /**
     * 设备功能
     */
    @ApiModelProperty("设备功能")
    @ExcelProperty("设备功能")
    private String equipmentFunction;

    /**
     * 终端类型
     */
    @ApiModelProperty("终端类型")
    @ExcelProperty("终端类型")
    private String endType;

    /**
     * 下级平台
     */
    @ApiModelProperty("下级平台")
    @ExcelProperty("下级平台")
    private String subordinatePlatform;
}
