package com.ningdatech.carapi.car.equipment.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 实体类
 * 车辆设备
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "VehicleEquipmentPageQuery", description = "车辆设备")
public class VehicleEquipmentPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    private String carPlate;

    /**
     * 所属企业名
     */
    @ApiModelProperty(value = "所属企业名")
    private String companyName;

    /**
     * 车辆类型
     */
    @ApiModelProperty(value = "车辆类型")
    private Integer vehicleType;

    /**
     * 所属区域id
     */
    @ApiModelProperty(value = "所属区域id")
    private Long regionId;


    /**
     * 运营商名
     */
    @ApiModelProperty(value = "运营商名")
    private String operatorName;

    @ApiModelProperty("车辆状态")
    private Integer vehicleStatus;
}
