package com.ningdatech.carapi.car.rpt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 专用车辆企业上线率低于60日报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@TableName("nd_rpt_daily_special_vehicles_company_launch_rate_60")
@Data
@ApiModel(value = "RptDailySpecialVehiclesCompanyLaunchRate60对象", description = "专用车辆企业上线率低于60日报")
public class RptDailySpecialVehiclesCompanyLaunchRate60 implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("监控车辆数")
    private Long monitoredVehicleNums;

    @ApiModelProperty("为监控车辆数")
    private Long unmonitoredVehicleNums;

    @ApiModelProperty("上线率")
    private BigDecimal launchRate;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("企业名")
    private String companyName;
}
