package com.ningdatech.carapi.car.rpt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 超速企业情况月报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@TableName("nd_rpt_month_overspeed_company")
@Data
@ApiModel(value = "RptMonthOverspeedCompany对象", description = "超速企业情况月报")
public class RptMonthOverspeedCompany implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("排名")
    private Integer rank;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("超速次数")
    private Long overspeedTimes;

    @ApiModelProperty("企业车辆数")
    private Long vehicleNums;

    @ApiModelProperty("超速率")
    private BigDecimal overspeedRate;
}
