package com.ningdatech.carapi.car.rpt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 车辆跨域情况分析表 其它报表
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@TableName("nd_rpt_other_cross_domain_vehicles_analysis")
@Data
@ApiModel(value = "RptOtherCrossDomainVehiclesAnalysis对象", description = "车辆跨域情况分析表 其它报表")
public class RptOtherCrossDomainVehiclesAnalysis implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("运营商ID")
    private Long operatorId;

    @ApiModelProperty("运营商名")
    private String operatorName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("在线车辆数")
    private Long onlineNums;

    @ApiModelProperty("上线率")
    private BigDecimal onlineRate;

    @ApiModelProperty("离线车辆数")
    private Long offlineNums;

    @ApiModelProperty("离线率")
    private BigDecimal offlineRate;

    @ApiModelProperty("散装水泥车数")
    private Long bulkCementTruckNums;

    @ApiModelProperty("散装水泥车占比")
    private BigDecimal bulkCementTruckRate;

    @ApiModelProperty("预拌砂浆车数")
    private Long readyMixedMortarTruckNums;

    @ApiModelProperty("预拌砂浆车占比")
    private BigDecimal readyMixedMortarTruckRate;

    @ApiModelProperty("混凝土搅拌车数")
    private Long concreteDeliveryTruckNums;

    @ApiModelProperty("混凝土搅拌车数占比")
    private BigDecimal concreteDeliveryTruckRate;

    @ApiModelProperty("移动泵车数")
    private Long mobilePumpTruckNums;

    @ApiModelProperty("移动泵车占比")
    private BigDecimal mobilePumpTruckRate;

    @ApiModelProperty("散装水泥车同比")
    private BigDecimal bulkCementTruckYoy;

    @ApiModelProperty("散装水泥车环比")
    private BigDecimal bulkCementTruckQoq;

    @ApiModelProperty("预拌砂浆车同比")
    private BigDecimal readyMixedMortarTruckYoy;

    @ApiModelProperty("瘀斑砂浆车环比")
    private BigDecimal readyMixedMortarTruckQoq;

    @ApiModelProperty("混凝土搅拌车同比")
    private BigDecimal concreteDeliveryTruckYoy;

    @ApiModelProperty("混凝土搅拌车环比")
    private BigDecimal concreteDeliveryTruckQoq;

    @ApiModelProperty("移动泵车同比")
    private BigDecimal mobilePumpTruckYoy;

    @ApiModelProperty("移动泵车环比")
    private BigDecimal mobilePumpTruckQoq;

    @ApiModelProperty("在线同比")
    private BigDecimal onlineYoy;

    @ApiModelProperty("在线环比")
    private BigDecimal onlineQoq;

    @ApiModelProperty("离线同比")
    private BigDecimal offlineYoy;

    @ApiModelProperty("离线环比")
    private BigDecimal offlineQoq;

    @ApiModelProperty("年月")
    private String yearMonthly;

    @ApiModelProperty("企业类型")
    private String enterpriseType;

    @ApiModelProperty("企业类型名")
    private String enterpriseTypeName;
}
