package com.ningdatech.carapi.car.rpt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 在线车辆统计表 其它报表
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@TableName("nd_rpt_other_online_vehicles")
@Data
@ApiModel(value = "RptOtherOnlineVehicles对象", description = "在线车辆统计表 其它报表")
public class RptOtherOnlineVehicles implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("运营商ID")
    private Long operatorId;

    @ApiModelProperty("运营商名")
    private String operatorName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("在线车辆数")
    private Long onlineNums;

    @ApiModelProperty("上线率")
    private BigDecimal onlineRate;

    @ApiModelProperty("离线车辆数")
    private Long offlineNums;

    @ApiModelProperty("离线率")
    private BigDecimal offlineRate;

    @ApiModelProperty("企业类型")
    private String enterpriseType;

    @ApiModelProperty("企业类型名")
    private String enterpriseTypeName;
}
