package com.ningdatech.carapi.car.rpt.model.po;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 超速企业情况日报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@Data
@ApiModel(value = "RptDailyOverspeedCompanyPO", description = "超速企业情况日报")
public class RptDailyOverspeedCompanyPO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("排名")
    private Integer rank;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("超速车辆总数")
    private Long overspeedVehicleNums;

    @ApiModelProperty("超速率")
    private BigDecimal overspeedRate;
}
