package com.ningdatech.carapi.car.rpt.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 超速专用车辆日报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@Data
@ApiModel(value = "RptDailyOverspeedSpecialVehiclesVO", description = "超速专用车辆日报")
public class RptDailyOverspeedSpecialVehiclesVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("排名")
    @ExcelProperty("排名")
    private Integer rank;

    @ApiModelProperty("公司ID")
    @ExcelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    @ExcelProperty("公司名")
    private String companyName;

    @ApiModelProperty("超速%20-50%次数")
    @ExcelProperty("超速20%-50%次数")
    private Long overspeed2050Times;

    @ApiModelProperty("超速50以上 次数")
    @ExcelProperty("超速50以上 次数")
    private Long overspeed50Times;

    @ApiModelProperty("车牌号")
    @ExcelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("总超速次数")
    @ExcelProperty("总超速次数")
    private Long overspeedTotalTimes;

    @ApiModelProperty("比例")
    @ExcelProperty("比例")
    private BigDecimal rate;
}
