package com.ningdatech.carapi.car.rpt.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 超速企业情况月报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Data
@ApiModel(value = "RptMonthOverspeedCompanyVO", description = "超速企业情况月报")
public class RptMonthOverspeedCompanyVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    @ExcelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("排名")
    @ExcelProperty("排名")
    private Integer rank;

    @ApiModelProperty("公司ID")
    @ExcelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    @ExcelProperty("公司名")
    private String companyName;

    @ApiModelProperty("超速次数")
    @ExcelProperty("超速次数")
    private Long overspeedTimes;

    @ApiModelProperty("企业车辆数")
    @ExcelProperty("企业车辆数")
    private Long vehicleNums;

    @ApiModelProperty("超速率")
    @ExcelProperty("超速率")
    private BigDecimal overspeedRate;
}
