package com.ningdatech.carapi.car.rpt.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptMonthSpecialOffline;
import com.ningdatech.carapi.car.rpt.mapper.RptMonthSpecialOfflineMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthSpecialOfflineParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthSpecialOfflinePO;
import com.ningdatech.carapi.car.rpt.service.IRptMonthSpecialOfflineService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专用车辆不上线月报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptMonthSpecialOfflineServiceImpl extends ServiceImpl<RptMonthSpecialOfflineMapper, RptMonthSpecialOffline> implements IRptMonthSpecialOfflineService {

    private final RptMonthSpecialOfflineMapper mapper;

    @Override
    @XmlDataScope
    public List<RptMonthSpecialOfflinePO> reportPage(Page<RptMonthSpecialOfflinePO> page, RptMonthSpecialOfflineParamDTO param) {
        return mapper.reportPage(page,param);
    }
}
