package com.ningdatech.carapi.car.rpt.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherAlarmCleanVehicles;
import com.ningdatech.carapi.car.rpt.mapper.RptOtherAlarmCleanVehiclesMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherAlarmCleanVehiclesPO;
import com.ningdatech.carapi.car.rpt.service.IRptOtherAlarmCleanVehiclesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.common.aop.BuildChildrenRegionEntity;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 车辆报警清理表 其它报表 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptOtherAlarmCleanVehiclesServiceImpl extends ServiceImpl<RptOtherAlarmCleanVehiclesMapper, RptOtherAlarmCleanVehicles> implements IRptOtherAlarmCleanVehiclesService {

    private final RptOtherAlarmCleanVehiclesMapper mapper;

    @Override
    @XmlDataScope(entityIndex = 1)
    @BuildChildrenRegionEntity(entityIndex =  1)
    public Page<RptOtherAlarmCleanVehiclesPO> reportPage(Page<RptOtherAlarmCleanVehiclesPO> page,
                                                         RptOtherParamDTO param) {
        return mapper.reportPage(page,param);
    }
}
