package com.ningdatech.carapi.car.rpt.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherOnlineVehicles;
import com.ningdatech.carapi.car.rpt.mapper.RptOtherOnlineVehiclesMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherOnlineVehiclesPO;
import com.ningdatech.carapi.car.rpt.service.IRptOtherOnlineVehiclesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 在线车辆统计表 其它报表 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptOtherOnlineVehiclesServiceImpl extends ServiceImpl<RptOtherOnlineVehiclesMapper, RptOtherOnlineVehicles> implements IRptOtherOnlineVehiclesService {

    private final RptOtherOnlineVehiclesMapper mapper;

    @Override
    @XmlDataScope
    public List<RptOtherOnlineVehiclesPO> report(RptOtherParamDTO param) {
        return mapper.report(param);
    }

    @Override
    @XmlDataScope
    public Page<RptOtherOnlineVehiclesPO> reportPage(Page<RptOtherOnlineVehiclesPO> page, RptOtherParamDTO param) {
        return mapper.reportPage(page, param);
    }
}
