package com.ningdatech.carapi.car.trips.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 车辆单趟记录
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@TableName("nd_vehicle_trips")
@Data
@ApiModel(value = "VehicleTrips对象", description = "车辆单趟记录")
public class VehicleTrips extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("车辆单趟记录流水号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("发生日期")
    private LocalDate happenDate;

    @ApiModelProperty("车辆ID")
    private Long vehicleId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("离场经纬度")
    private String leaveLngLat;

    @ApiModelProperty("离场日期时间")
    private LocalDateTime leaveDateTime;

    @ApiModelProperty("最远停车点经纬度")
    private String farStopLnglat;

    @ApiModelProperty("最远停车点日期时间")
    private LocalDateTime farStopDateTime;

    @ApiModelProperty("最久停车点经纬度")
    private String stayStopLngLat;

    @ApiModelProperty("最久停车点日期时间")
    private LocalDateTime stayStopDateTime;

    @ApiModelProperty("离场信息(json数组)")
    private String leaveJson;

    @ApiModelProperty("最远停车点信息(json数组)")
    private String farStopJson;

    @ApiModelProperty("最久停车点信息(json数组)")
    private String stayStopJson;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆类型 1:泵车 2:混凝土搅拌车 3:散装水泥车 4:预拌砂浆车 5:其他")
    private Integer vehicleType;

    @ApiModelProperty("单位完整名称")
    private String companyName;

    @ApiModelProperty("轻重车辆类型(根据所属企业距离判断) 0:未知 1:轻车 2:重车")
    private Integer weightType;

    @ApiModelProperty("操作时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("新增时间")
    private LocalDateTime createOn;

    @ApiModelProperty("是否删除 0:删除 1:存在")
    private Integer status;

    @ApiModelProperty("备注")
    private String remark;
}
