package com.ningdatech.carapi.car.trips.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.trips.entity.VehicleTripsCity;
import com.ningdatech.carapi.car.trips.entity.VehicleTripsCompany;
import com.ningdatech.carapi.car.trips.model.dto.VehicleTripsParamDTO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 车辆单趟记录 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
public interface VehicleTripsCityMapper extends BaseMapper<VehicleTripsCity> {
    Page<VehicleTripsCity> pageCity(Page page, @Param("regionIds") List<Long> regionIds,
                                    @Param("startTime") String startTime,@Param("endTime")  String endTime);

    Page<VehicleTripsCity> pageCityGetOn(Page<VehicleTripsCity> page, @Param("param") VehicleTripsParamDTO param);

    Page<VehicleTripsCompany> pageCityGetOnCompany(Page<VehicleTripsCompany> page, @Param("param") VehicleTripsParamDTO param);
}
