package com.ningdatech.carapi.car.vehicle.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 实体类
 * 车辆违章
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "VehicleViolationDTO", description = "车辆违章")
public class VehicleViolationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "车牌号",required = true)
    @NotBlank(message = "车牌号!")
    private String carPlate;

    @ApiModelProperty(value = "违章类型 1.无证驾驶 2.闯红灯 3.超载 4.违规路段行驶 5.违规时间行驶")
    private String violationType;
}
