package com.ningdatech.carapi.car.video.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 回放视频传参
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-07
 */
@Data
@Builder
@ApiModel(value = "PlaybackVideoParamDTO", description = "回放视频传参")
public class PlaybackVideoParamDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("开始时间时间戳")
    @NotNull(message = "请输入开始时间")
    private Long start;

    @ApiModelProperty("结束时间时间戳")
    @NotNull(message = "请输入结束时间")
    private Long end;

    @ApiModelProperty("车牌号")
    @NotBlank(message = "请输入车牌号")
    private String carPlate;
}
