package com.ningdatech.carapi.company.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 安全生产制度体系
 * </p>
 *
 * @author CMM
 * @since 2023-05-24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("nd_company_security_product_regulations_file")
@ApiModel(value = "CompanySecurityProductRegulationsFile对象", description = "安全生产制度体系")
public class CompanySecurityProductRegulation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("主管企业ID")
    private Long companyId;

    @ApiModelProperty("主管企业名称")
    private String companyName;

    @ApiModelProperty("制度名称")
    private String fileName;

    @ApiModelProperty("文件类型")
    private Integer fileType;

    @ApiModelProperty("制度文件ID")
    private Long fileId;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("修改人")
    private Long updateBy;

    @ApiModelProperty("创建日期")
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;
}
