package com.ningdatech.carapi.company.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 上车表
 * </p>
 *
 * @author CMM
 * @since 2023-01-10
 */
@TableName("nd_company_vehicle_not_get_on")
@ApiModel(value = "CompanyVehicleNotGetOn对象", description = "未上车行驶表")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CompanyVehicleNotGetOn implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("修改人")
    private Long updateBy;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("发生时间")
    private LocalDate time;
}
