package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 政府/行业嘉奖
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
@TableName("nd_company_credit_reward")
@Data
public class NdCompanyCreditReward implements Serializable {

    private static final long serialVersionUID = -1797772033801294340L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    private Long companyId;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 嘉奖内容
     */
    private String content;

    /**
     * 备注
     */
    private String remark;

    /**
     * 日期
     */
    private Timestamp rewardTime;

    /**
     * 嘉奖类型(1-行业标杆，0-政府)
     */
    private Boolean rewardType;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private Timestamp createOn;

    /**
     * 更新时间
     */
    private Timestamp updateOn;
}
