package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.driver.constant.MaterialStatusEnum;
import com.ningdatech.carapi.driver.constant.MaterialTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-21
 */
@TableName("nd_training_material")
@Data
@ApiModel(value = "TrainingMaterial对象", description = "")
public class TrainingMaterial implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("培训材料表")
    private Long id;

    @ApiModelProperty("标题")
    private String title;

    /**
     * {@link MaterialTypeEnum}
     */
    @ApiModelProperty("材料类型")
    private String materialType;

    /**
     * {@link MaterialStatusEnum}
     */
    @ApiModelProperty("材料状态")
    private String materialStatus;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("附件json list")
    private String appendixListJson;

    private Long regionId;
    private Long companyId;

    private LocalDateTime updateOn;

    private LocalDateTime createOn;

    private Long createBy;

}
