package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.driver.constant.ExamQualifiedEnum;
import com.ningdatech.carapi.driver.constant.ExaminationStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-22
 */
@Data
@TableName("nd_training_organization_trainer")
@ApiModel(value = "TrainingOrganizationTrainer对象", description = "")
public class TrainingOrganizationTrainer implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("培训组织id")
    private Long trainingOrganizationId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("驾驶员用户id")
    private Long driverUserId;

    @ApiModelProperty("分数")
    private Integer score;

    /**
     * {@link ExamQualifiedEnum}
     */
    @ApiModelProperty("是否合格")
    private String isQualified;

    @ApiModelProperty("试卷id")
    private Long examPaperId;

    @ApiModelProperty("试卷名称")
    private String examPaperName;

    @ApiModelProperty("准考证号")
    private String examRegistrationNo;

    /**
     * {@link ExaminationStatusEnum}
     */
    @ApiModelProperty("考试状态")
    private String examinationStatus;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("签到时间")
    private LocalDateTime signTime;

}
