package com.ningdatech.carapi.driver.model;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.ningdatech.carapi.common.model.FileBasicInfo;
import com.ningdatech.carapi.driver.constant.MaterialTypeEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/22 上午9:29
 */
@Data
@ApiModel("培训材料信息")
public class TrainingMaterialInfo {

    @NotNull(message = "培训材料id 不能为空")
    @ApiModelProperty("培训材料id")
    private Long trainingMaterialId;

    @NotBlank(message = "标题不能为空")
    @ApiModelProperty("标题")
    private String title;

    @NotNull(message = "培训材料附件 不能为空")
    @ApiModelProperty("培训材料附件")
    private List<FileBasicInfo> appendixList;

    @NotNull(message = "材料类型 不能为空")
    @ApiModelProperty("材料类型")
    private MaterialTypeEnum materialType;

    @NotBlank(message = "内容 不能为空")
    @ApiModelProperty("内容")
    private String content;

}
