package com.ningdatech.carapi.driver.model.dto;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 培训驾驶员信息实体类
 *
 * @author CMM
 * @since 2023/06/08 10:13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TrainerInfoExportDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("身份证号")
    @ExcelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("出生年月")
    @ExcelProperty("出生年月")
    private String birth;

    @ApiModelProperty("驾驶员姓名")
    @ExcelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("性别 0:女 ，1:男 ")
    @ExcelProperty("性别")
    private String gender;

    @ApiModelProperty("籍贯")
    @ExcelProperty("籍贯")
    private String nativePlace;

    @ApiModelProperty("邮政编码")
    @ExcelProperty("邮政编码")
    private String nativePlaceRegionCode;

    @ApiModelProperty(value = "健康状况")
    @ExcelProperty("健康状况")
    private String health;

    @ApiModelProperty("手机号码")
    @ExcelProperty("手机号码")
    private String phoneNo;

    @ApiModelProperty("住址")
    @ExcelProperty("住址")
    private String address;

    @ApiModelProperty("驾驶员证档案编号")
    @ExcelProperty("驾驶员证档案编号")
    private String driverLicenseNo;

    @ApiModelProperty("准驾车型")
    @ExcelProperty("准驾车型")
    private String driverLicenseType;

    @ApiModelProperty("驾驶证初次申领时间")
    @ExcelProperty("驾驶证初次申领时间")
    private String initialLicenseTime;

    @ApiModelProperty("拟驾车型")
    @ExcelProperty("拟驾车型")
    private String motorcycleTypeList;

    @ApiModelProperty("违规违法信息")
    @ExcelProperty("违规违法信息")
    private String illegalAndIllegalInfo;

    @ApiModelProperty("培训主题")
    @ExcelProperty("培训主题")
    private String trainingTopic;

    @ApiModelProperty("培训开始时间")
    @ExcelProperty("培训开始时间")
    private String trainingStartTime;

    @ApiModelProperty("培训结束时间")
    @ExcelProperty("培训结束时间")
    private String trainingEndTime;

    @ApiModelProperty("培训地点")
    @ExcelProperty("培训地点")
    private String trainAddress;

    @ApiModelProperty("培训模式")
    @ExcelProperty("培训模式")
    private String trainingMode;

    @ApiModelProperty(value = "培训类型")
    @ExcelProperty("培训类型")
    private String trainingType;

    @ApiModelProperty("备注")
    @ExcelProperty("备注")
    private String remark;

    @ApiModelProperty("考试开始时间")
    @ExcelProperty("考试开始时间")
    private String examStartTime;

    @ApiModelProperty("考试结束时间")
    @ExcelProperty("考试结束时间")
    private String examEndTime;

    @ApiModelProperty("证书编号")
    @ExcelProperty("证书编号")
    private String certificateNo;

    @ApiModelProperty("发证单位")
    @ExcelProperty("发证单位")
    private String issuedBy;

    @ApiModelProperty("发证日期")
    @ExcelProperty("发证日期")
    private String issueDate;

    @ApiModelProperty("有效期")
    @ExcelProperty("有效期")
    private String expiryDate;
}
