package com.ningdatech.carapi.driver.model.vo;

import com.ningdatech.carapi.driver.constant.TrainingModeEnum;
import com.ningdatech.carapi.driver.constant.TrainingTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/11/9 上午9:09
 */
@Data
@ApiModel("驾驶员培训记录列表VO")
public class ResDriverTrainingListVO {

    @ApiModelProperty("培训组织id")
    private Long organizationId;

    @ApiModelProperty("培训主题")
    private String trainingTopic;

    @ApiModelProperty("培训开始时间")
    private LocalDateTime trainingStartTime;

    @ApiModelProperty("培训结束时间")
    private LocalDateTime trainingEndTime;

    @ApiModelProperty("培训地点")
    private String address;

    /**
     * 培训模式 线上/线下
     * {@link TrainingModeEnum}
     */
    @ApiModelProperty(value = "培训模式 线上/线下", allowableValues = "online,offline")
    private TrainingModeEnum trainingMode;

    /**
     * 培训类型 取证培训/继续教育/换证培训/转码培训
     * {@link TrainingTypeEnum}
     */
    @ApiModelProperty(value = "培训类型 取证培训/继续教育/换证培训/转码培训", allowableValues = "forensic_registration_training 取证报名,replacement_registration_training 换证报名 ,continuing_education_training 继续教育,transcoding_training 转码培训")
    private TrainingTypeEnum trainingType;

    @ApiModelProperty("是否合格")
    private String isQualified;

}
