package com.ningdatech.carapi.driver.model.vo;

import com.ningdatech.carapi.driver.constant.ExamQualifiedEnum;
import com.ningdatech.carapi.driver.constant.TrainingTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/10/26 下午5:20
 */
@ApiModel("培训考试记录筛选VO")
@Data
public class ResListExamRecordVO {

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("驾驶员用户id")
    private String driverUserId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("所属企业id")
    private Long companyId;

    @ApiModelProperty("所属企业")
    private String companyName;

    @ApiModelProperty("考试结果")
    private ExamQualifiedEnum isQualified;

    @ApiModelProperty("考试分")
    private Integer score;

    @ApiModelProperty("考试时间")
    private LocalDateTime examTime;

    @ApiModelProperty("所属区域id")
    private Long regionId;

    @ApiModelProperty("所属区域")
    private String regionName;

    /**
     * 培训类型 取证培训/继续教育/换证培训/转码培训
     * {@link TrainingTypeEnum}
     */
    @NotNull(message = "培训类型不能为空")
    @ApiModelProperty(value = "考试类型 取证培训/继续教育/换证培训/转码培训", allowableValues = "forensic_registration_training 取证报名,replacement_registration_training 换证报名 ,continuing_education_training 继续教育,transcoding_training 转码培训")
    private String examType;

    @ApiModelProperty("驾驶员合格证编号")
    private String certificateNo;
}
