package com.ningdatech.carapi.industry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * 驾驶员合格证
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-03
 */
@TableName("nd_certificate")
@Data
@ApiModel(value = "DriverTrainingCertificate Join对象", description = "驾驶员合格证")
public class DriverTrainingCertificateJoin extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("驾驶员名")
    private String driverName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("培训时间")
    private LocalDateTime trainingTime;

    @ApiModelProperty("培训结果 合格")
    private String trainingResult;

    @ApiModelProperty("有效时间")
    private LocalDateTime effectiveTime;

    @ApiModelProperty("培训项目")
    private String trainingProgram;
}
