package com.ningdatech.carapi.industry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.industry.enums.LabWorkerCertificateTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 实验室人员证书
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-04
 */
@Data
@TableName("nd_lab_worker_certificate")
@ApiModel(value = "LabWorkerCertificate对象", description = "实验室人员证书")
public class LabWorkerCertificate implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("地区ID")
    private Long regionId;

    @ApiModelProperty("企业编码")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改人ID")
    private Long updateBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("姓名")
    private String userName;

    @ApiModelProperty("性别：1 男、2 女")
    private Integer gender;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("证书编号")
    private String certificateNo;

    @ApiModelProperty("发证时间")
    private LocalDate conferDate;

    @ApiModelProperty("发证机关")
    private String conferOrg;

    @ApiModelProperty("有效时间/更换时间")
    private LocalDate validDate;

    @ApiModelProperty("备注")
    private String remark;

    /**
     * @see LabWorkerCertificateTypeEnum
     */
    @ApiModelProperty("证书类型")
    private Integer certificateType;
}
