package com.ningdatech.carapi.industry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 预拌砂浆行业管理
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-18
 */
@TableName("nd_ready_mixed_mortar_industry_manage")
@Data
@ApiModel(value = "ReadyMixedMortarIndustryManage对象", description = "预拌砂浆行业管理")
public class ReadyMixedMortarIndustryManage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("修改人")
    private Long updateBy;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("0启用 1禁用")
    private Integer state;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("file id")
    private Long fileId;

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty("下载次数")
    private Integer downTimes;

    @ApiModelProperty("内容")
    private String content;
}
