package com.ningdatech.carapi.industry.model.dto;

import java.io.Serializable;
import java.util.List;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * 静态数据质量分页传参
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-07
 */
@Data
@Builder
@ApiModel(value = "DataQualityMonitorDynamicsPageParamDTO", description = "静态数据质量分页传参")
public class DataQualityMonitorStaticPageParamDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("企业集合")
    private List<Long> companyIds;

    @ApiModelProperty("批次号")
    private String batchNo;

    @ApiModelProperty("数据异常状态 0正常 1异常")
    private Integer state;
}
