package com.ningdatech.carapi.industry.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 驾驶员合格证
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-03
 */
@Data
@Builder
@ApiModel(value = "DriverTrainingCertificatePageParamDTO", description = "驾驶员合格证分页传参")
public class DriverTrainingCertificatePageParamDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("驾驶员名")
    private String driverName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("培训结果 合格")
    private String trainingResult;
}
