package com.ningdatech.carapi.industry.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * LabAcceptanceCertificateImportDto
 * </p>
 *
 * @author WendyYang
 * @since 21:34 2022/11/4
 */
@Data
public class LabAcceptanceCertificateImportDto {

    @ExcelProperty("企业完整名称")
    @NotBlank(message = "企业完整名称不能为空")
    private String companyName;

    @ExcelProperty("备案项目")
    @NotBlank(message = "备案项目不能为空")
    private String recordItem;

    @ExcelProperty("执行标准")
    @NotBlank(message = "执行标准不能为空")
    private String standard;

    @ExcelProperty("发证机关")
    @NotBlank(message = "发证机关不能为空")
    private String conferOrg;

    @ExcelProperty("证书编号")
    @NotBlank(message = "证书编号不能为空")
    private String certificateNo;

    @ExcelProperty(value = "发证日期")
    @DateTimeFormat("yyyy-MM-dd")
    @NotNull(message = "发证日期不能为空")
    private Date conferDate;

    @ExcelProperty(value = "换证日期")
    @DateTimeFormat("yyyy-MM-dd")
    @NotNull(message = "换证日期不能为空")
    private Date validDate;

    @ExcelProperty("备注")
    @Length(max = 500, message = "备注最多500个字符")
    private String remark;

}
