package com.ningdatech.carapi.industry.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * LabWorkerCertificateImportDto
 * </p>
 *
 * @author WendyYang
 * @since 21:34 2022/11/4
 */
@Data
public class LabWorkerCertificateImportDto {

    @ExcelProperty("企业完整名称")
    @NotBlank(message = "企业名称不能为空")
    private String companyName;

    @ExcelProperty("姓名")
    @NotBlank(message = "姓名不能为空")
    private String username;

    @ExcelProperty("性别")
    @NotBlank(message = "性别不能为空")
    private String gender;

    @ExcelProperty("身份证号码")
    @NotBlank(message = "身份证号码不能为空")
    private String idCard;

    @ExcelProperty("证照编号")
    @NotBlank(message = "证照编号不能为空")
    private String certificateNo;

    @ExcelProperty(value = "有效开始日期")
    @DateTimeFormat("yyyy-MM-dd")
    @NotNull(message = "有效开始日期不能为空")
    private Date startDate;

    @ExcelProperty(value = "有效结束日期")
    @DateTimeFormat("yyyy-MM-dd")
    @NotNull(message = "有效结束日期不能为空")
    private Date endDate;

    @ExcelProperty("备注")
    @Length(max = 500, message = "备注最多500个字符")
    private String remark;

}
