package com.ningdatech.carapi.industry.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 新车上牌记录
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-06
 */
@Data
@ApiModel(value = "RegistrationRecordSaveDTO", description = "新车上牌记录")
public class RegistrationRecordSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车架号")
    private String vin;

    @ApiModelProperty("引擎号")
    private String engineNo;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("已上牌 未上牌")
    private String registrationRecord;

    @ApiModelProperty("车辆品牌")
    private String vehicleBrand;

    @ApiModelProperty("车辆型号")
    private String vehicleModels;

    @ApiModelProperty("购买价格")
    private BigDecimal purchasePrice;

    @ApiModelProperty("购买日期")
    private LocalDateTime purchaseDate;
}
