package com.ningdatech.carapi.industry.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.industry.entity.DriverTrainingCertificateJoin;
import com.ningdatech.carapi.industry.mapper.DriverTrainingCertificateJoinMapper;
import com.ningdatech.carapi.industry.service.IDriverTrainingCertificateJoinService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 驾驶员合格证 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-03
 */
@Service
@RequiredArgsConstructor
public class DriverTrainingCertificateJoinServiceImpl extends ServiceImpl<DriverTrainingCertificateJoinMapper, DriverTrainingCertificateJoin> implements IDriverTrainingCertificateJoinService {

    private final DriverTrainingCertificateJoinMapper driverTrainingCertificateJoinMapper;

    @Override
    public Page<DriverTrainingCertificateJoin> pageJoin(Page page, LambdaQueryWrapper<DriverTrainingCertificateJoin> wrapper) {
        return driverTrainingCertificateJoinMapper.pageJoin(page,wrapper);
    }

    @Override
    public DriverTrainingCertificateJoin getOneJoin(LambdaQueryWrapper<DriverTrainingCertificateJoin> wrapper) {
        return driverTrainingCertificateJoinMapper.getOneJoin(wrapper);
    }
}
