package com.ningdatech.carapi.open.controller;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ningdatech.carapi.common.util.OssUtils;

import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-09
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/open/api/oss/")
@RequiredArgsConstructor
public class OpenApiOssController {

    @ApiOperation(value = "查询OSS存储文件大小", notes = "查询OSS存储文件大小")
    @GetMapping("/get-oss")
    public Long getOss() {
        return OssUtils.getOss(null);
    }
}
