package com.ningdatech.carapi.qrcode.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "GetOnVehicleVO", description = "二维码-上车 视图对象")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class GetOnVehicleVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("车辆ID")
    private Long vehicleId;

    @ApiModelProperty("驾驶员ID")
    private Long driverId;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("驾驶员名字")
    private String driverName;

    @ApiModelProperty("车辆颜色")
    private String plateColor;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("运营商名")
    private String operatorName;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;
}
