package com.ningdatech.carapi.radar.controller;

import com.ningdatech.carapi.radar.manage.RadarManage;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ningdatech.carapi.common.util.OssUtils;

import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-09
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/radar")
@RequiredArgsConstructor
public class RadarController {

    private final RadarManage radarManage;

    @ApiOperation(value = "雷达监听连接测试", notes = "雷达监听连接测试")
    @GetMapping("/get-radar-data")
    public String getRadarData() {
        return radarManage.getRadarData();
    }
}
