package com.ningdatech.carapi.radar.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author CMM
 * @author CMM
 * @date 2024/9/27 14:40
 * /
 * /**
 * @since 2024/09/27 14:40
 */
@Data
@Component
@ConfigurationProperties(prefix = "radar-data-task")
public class RadarDataTaskProperties {
    /**
     * 是否开启雷达数据接收
     */
    private Boolean enable;

    // 雷达设备的IP地址
    // 黄山隧道义乌来向
    private String hsYwComeRadarIp;
    // 黄山隧道义乌去向
    private String hsYwGoRadarIp;
    // 黄山隧道东阳来向
    private String hsDyComeRadarIp;
    // 黄山隧道东阳去向
    private String hsDyGoRadarIp;
    // 何里隧道义乌方向
    private String hlYwRadarIp;
    // 何里隧道兰溪方向
    private String hlLxRadarIp;

    // 雷达设备监听的端口号
    // 黄山隧道义乌来向
    private Integer hsYwComeRadarPort;
    // 黄山隧道义乌去向
    private Integer hsYwGoRadarPort;
    // 黄山隧道东阳来向
    private Integer hsDyComeRadarPort;
    // 黄山隧道东阳去向
    private Integer hsDyGoRadarPort;
    // 何里隧道义乌方向
    private Integer hlYwRadarPort;
    // 何里隧道兰溪方向
    private Integer hlLxRadarPort;
}
