package com.ningdatech.carapi.report.controller;

import javax.validation.Valid;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ningdatech.basic.model.PageVo;
import com.ningdatech.carapi.report.manage.BulkCementSupplyBulletinManage;
import com.ningdatech.carapi.report.model.po.ReqBulkCementSupplyDataUploadPO;
import com.ningdatech.carapi.report.model.po.ReqDataUploadListPO;
import com.ningdatech.carapi.report.model.vo.ResBulkCementSupplyDataUploadDetailVO;
import com.ningdatech.carapi.report.model.vo.ResDataUploadListVO;
import com.ningdatech.log.annotation.WebLog;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;

/**
 * <p>
 * 散装水泥直报系统 前端控制器
 * </p>
 *
 * @author CMM
 * @since 2023-09-27
 */
@RequestMapping("/api/v1/direct/report/system")
@RestController
@Api(tags = "数据上报-散装水泥供应量快报")
@Validated
@RequiredArgsConstructor
public class BulkCementSupplyBulletinController {

    private final BulkCementSupplyBulletinManage bulkCementSupplyBulletinManage;
    @PostMapping("/get/bulk-cement-supply/upload/data")
    @ApiOperation("获取散装水泥供应量快报计算数据")
    public ResBulkCementSupplyDataUploadDetailVO getBulkCementSupplyUploadData(@Valid @RequestBody ReqBulkCementSupplyDataUploadPO po) {
        return bulkCementSupplyBulletinManage.getBulkCementSupplyUploadData(po);
    }
    @PostMapping("/bulk-cement-supply/data/upload")
    @ApiOperation("散装水泥供应量快报数据上报")
    @WebLog(value = "散装水泥供应量快报数据上报", modular = "数据上报-散装水泥供应量快报数据上报")
    public String bulkCementSupplyDataUpload(@Valid @RequestBody ReqBulkCementSupplyDataUploadPO po) {
        return bulkCementSupplyBulletinManage.bulkCementSupplyDataUpload(po);
    }
    @PostMapping("/bulk-cement-supply/data/upload/list")
    @ApiOperation("散装水泥供应量数据上报列表")
    public PageVo<ResDataUploadListVO> dataUploadList(@Valid @RequestBody ReqDataUploadListPO po) {
        return bulkCementSupplyBulletinManage.dataUploadList(po);
    }
}
