package com.ningdatech.carapi.report.model.dto;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import javax.validation.constraints.NotNull;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/10/02 10:54
 */
@Data
public class BulkCementLogFacStaQueryDataExportDTO {

    @NotNull(message = "年初数量不能为空")
    @Excel(name = "数量",groupName = "年初")
    private Integer yearBeginNum;
    @Excel(name = "容量")
    @NotNull(message = "年初容量不能为空")
    private BigDecimal yearBeginCapacity;

    @NotNull(message = "本年新增数量不能为空")
    @Excel(name = "数量",groupName = "本年新增")
    private Integer thisYearNewAddNum;
    @Excel(name = "容量")
    @NotNull(message = "本年新增容量不能为空")
    private BigDecimal thisYearNewAddCapacity;

    @NotNull(message = "本年报废数量不能为空")
    @Excel(name = "数量",groupName = "本年报废")
    private Integer thisYearScrapNum;
    @Excel(name = "容量")
    @NotNull(message = "本年报废容量不能为空")
    private BigDecimal thisYearScrapCapacity;

    @NotNull(message = "年末数量不能为空")
    @Excel(name = "数量",groupName = "年末")
    private Integer yearEndNum;
    @Excel(name = "容量")
    @NotNull(message = "年末容量不能为空")
    private BigDecimal yearEndCapacity;

    @Excel(name = "本年实际作业量")
    @NotNull(message = "本年实际作业量不能为空")
    private BigDecimal thisYearWorkAmount;

    @Excel(name = "设施名称")
    @NotNull(message = "设施名称不能为空")
    private String regionName;

    @Excel(name = "备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;
}
