package com.ningdatech.carapi.report.model.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/10/02 10:54
 */
@Data
public class BulkCementTransferQueryDataExportDTO {
    @NotNull(message = "本月进库量不能为空")
    @Excel(name = "本月",groupName = "进库量")
    private BigDecimal thisMonthIncomingStorage;
    @Excel(name = "累计")
    @NotNull(message = "累计进库量不能为空")
    private BigDecimal cumulativeIncomingStorage;

    @Excel(name = "本月",groupName = "出库量")
    @NotNull(message = "本月出库量不能为空")
    private BigDecimal thisMonthOutgoingStorage;
    @Excel(name = "累计")
    @NotNull(message = "累计出库量不能为空")
    private BigDecimal cumulativeOutgoingStorage;

    @Excel(name = "库存量",groupName = "月末库存")
    @NotNull(message = "月末库存量不能为空")
    private BigDecimal monthEndInventory;
    @Excel(name = "同比增长率")
    @NotNull(message = "月末库存同比增长率不能为空")
    private BigDecimal monthEndInventoryGrowthRate;

    @Excel(name = "单位")
    @NotNull(message = "单位名称不能为空")
    private String unitName;

    @Excel(name = "上月末库存")
    @NotNull(message = "上月末库存不能为空")
    private BigDecimal lastMonthEndInventory;

}
