package com.ningdatech.carapi.report.model.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/10/02 10:54
 */
@Data
public class ConcreteSupplyQueryDataExportDTO {
    @NotNull(message = "本月实际产量不能为空")
    @Excel(name = "本月",groupName = "实际产量(立方米)")
    private BigDecimal thisMonthOutput;
    @Excel(name = "累计")
    @NotNull(message = "累计实际产量不能为空")
    private BigDecimal accumulativeOutput;

    @Excel(name = "本月",groupName = "使用散装水泥量(吨)")
    @NotNull(message = "本月使用散装水泥量不能为空")
    private BigDecimal thisMonthCementUsage;
    @Excel(name = "累计")
    @NotNull(message = "累计使用散装水泥量不能为空")
    private BigDecimal cementAccumulativeUsage;

    @Excel(name = "本月",groupName = "废弃物综合利用量(吨)")
    @NotNull(message = "本月废弃物综合利用量不能为空")
    private BigDecimal thisMonthWasteUtilization;
    @Excel(name = "累计")
    @NotNull(message = "累计废弃物综合利用量不能为空")
    private BigDecimal accumulativeWasteUtilization;

    @Excel(name = "单位")
    @NotNull(message = "单位不能为空")
    private String unitName;

    @Excel(name = "三类指导目标(万立方米)")
    @NotNull(message = "三类指导目标不能为空")
    private BigDecimal threeCategoryGuidGoal;

    @Excel(name = "生产企业数量(个)")
    @NotNull(message = "生产企业数量不能为空")
    private Integer productionCompanyNums;

    @Excel(name = "年设计生产能力(万立方米)")
    @NotNull(message = "年设计生产能力不能为空")
    private BigDecimal annualDesignProductionCapacity;

    @Excel(name = "备注")
    private String remark;
}
