package com.ningdatech.carapi.report.model.dto;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "散装水泥、预拌混凝土、干混砂浆物流装备统计年报上报数据")
public class ReqMaterialLogEquipStaDataUploadDTO {

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("地区")
    private String regionName;

    @ApiModelProperty("装备名称")
    private String equipmentName;

    @ApiModelProperty("年初数量(辆、个)")
    private Integer yearBeginNum;

    @ApiModelProperty("年初额定量(吨、立方米)")
    private BigDecimal yearBeginNominalRate;

    @ApiModelProperty("本年新增数量")
    private Integer thisYearNewAddNum;

    @ApiModelProperty("本年新增额定量")
    private BigDecimal thisYearNewAddNominalRate;

    @ApiModelProperty("本年减少数量")
    private Integer thisYearDecreaseNum;

    @ApiModelProperty("本年减少额定量")
    private BigDecimal thisYearDecreaseNominalRate;

    @ApiModelProperty("年末数量")
    private Integer yearEndNum;

    @ApiModelProperty("年末额定量")
    private BigDecimal yearEndNominal;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

}
