package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 散装水泥直报系统审核信息表
 * </p>
 *
 * @author CMM
 * @since 2023-09-28
 */
@Data
@TableName("nd_bulk_cement_direct_report_system_audit_info")
@ApiModel(value = "BulkCementDirectReportSystemAuditInfo对象", description = "散装水泥直报系统审核信息表")
public class BulkCementDirectReportSystemAuditInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("审核状态 1 待审核 2 审核通过 3 被退回 4 待上报")
    private Integer auditStatus;

    @ApiModelProperty("审核数据类型 1 散装水泥供应量快报数据、2 中转库进出量统计数据、3 温台舟使用量快报数据、4 混凝土供应量快报数据、5 砂浆供应量快报数据、6 非禁现区域散装水泥销售使用情况数据、7 散装水泥物流设施统计年报表数据、8 散装水泥、预拌砂浆、干混砂浆物流装备统计年报表数据")
    private Integer auditDataType;

    @ApiModelProperty("审核类型 1 市级散办审核 2 省散办审核")
    private Integer auditType;

    @ApiModelProperty("审核意见")
    private String auditOpinion;

    @ApiModelProperty("审核时间")
    private LocalDateTime auditTime;

    @ApiModelProperty("审核人")
    private Long auditBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
