package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 散装水泥直报系统通用指标
 * </p>
 *
 * @author CMM
 * @since 2023-10-02
 */
@Data
@TableName("nd_bulk_cement_direct_report_system_universal_index")
@ApiModel(value = "BulkCementDirectReportSystemUniversalIndex对象", description = "散装水泥直报系统通用指标")
public class BulkCementDirectReportSystemUniversalIndex implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("散装率目标")
    private BigDecimal bulkRateTarget;

    @ApiModelProperty("温州、台州、舟山三市散装水泥使用量")
    private BigDecimal bulkCementUsageYearTarget;

    @ApiModelProperty("混凝土供应量三类指导目标(万立方米)")
    private BigDecimal concreteSupplyThreeCategoryGuidGoal;

    @ApiModelProperty("砂浆供应量二类指导目标(万吨)")
    private BigDecimal mortarSupplyTwoCategoryGuidGoal;

    @ApiModelProperty("年份")
    private Integer year;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateBy;

    @ApiModelProperty("更新人")
    private Long updateOn;
}
