package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 散装水泥供应量快报
 * </p>
 *
 * @author CMM
 * @since 2023-09-27
 */
@Data
@TableName("nd_bulk_cement_supply_bulletin")
@ApiModel(value = "BulkCementSupplyBulletin对象", description = "散装水泥供应量快报")
public class BulkCementSupplyBulletin implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("散装率目标")
    private BigDecimal bulkRateTarget;

    @ApiModelProperty("散装水泥总量")
    private BigDecimal bulkCementAmount;

    @ApiModelProperty("水泥产量")
    private BigDecimal cementOutput;

    @ApiModelProperty("年初至本月累计完成总量")
    private BigDecimal completedTotalAmount;

    @ApiModelProperty("年初至本月累计散装率")
    private BigDecimal bulkRate;

    @ApiModelProperty("年初至本月累计 比去年同期 增加量")
    private BigDecimal increment;

    @ApiModelProperty("年初至本月累计 比去年同期 增长率")
    private BigDecimal increaseRate;

    @ApiModelProperty("本月止累计水泥产量")
    private BigDecimal cumulativeCementProduction;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("审核状态 1 审核中 2 审核通过 3 被退回 4 待上报")
    private Integer auditStatus;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
