package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 砂浆供应量快报
 * </p>
 *
 * @author CMM
 * @since 2023-09-27
 */
@Data
@TableName("nd_mortar_supply_bulletin")
@ApiModel(value = "MortarSupplyBulletin对象", description = "砂浆供应量快报")
public class MortarSupplyBulletin implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("地区名称")
    private String regionName;

    @ApiModelProperty("二类指导目标(万吨)")
    private BigDecimal twoCategoryGuidGoal;

    @ApiModelProperty("普通干混砂浆生产企业数量(个)")
    private Integer dryMixedMortarProductionCompanyNum;

    @ApiModelProperty("普通干混砂浆生产总能力(万吨)")
    private BigDecimal dryMixedMortarProductiveCapacity;

    @ApiModelProperty("普通干混砂浆散装能力(万吨)")
    private BigDecimal dryMixedMortarBulkCapacity;

    @ApiModelProperty("本月总产量(吨)")
    private BigDecimal thisMonthTotalOutput;

    @ApiModelProperty("本月累计产量(吨)")
    private BigDecimal thisMonthAccumulativeOutput;

    @ApiModelProperty("普通干混砂浆本月产量(吨)")
    private BigDecimal dryMixedMortarThisMonthOutput;

    @ApiModelProperty("普通干混砂浆累计产量(吨)")
    private BigDecimal dryMixedMortarThisMonthAccumulativeOutput;

    @ApiModelProperty("普通干混砂浆同比增长量(吨)")
    private BigDecimal dryMixedMortarIncrement;

    @ApiModelProperty("普通干混砂浆增长率(%)")
    private BigDecimal dryMixedMortarGrowthRate;

    @ApiModelProperty("普通干混砂浆本月散装量(吨)")
    private BigDecimal dryMixedMortarThisMonthBulkQuantity;

    @ApiModelProperty("普通干混砂浆累计散装量(吨)")
    private BigDecimal dryMixedMortarAccumulativeBulkQuantity;

    @ApiModelProperty("湿拌砂浆本月产量(立方)")
    private BigDecimal wetMortarThisMonthOutput;

    @ApiModelProperty("湿拌砂浆累计产量(立方)")
    private BigDecimal wetMortarAccumulativeOutput;

    @ApiModelProperty("散装水泥本月使用量(吨)")
    private BigDecimal bulkCementThisMonthUsage;

    @ApiModelProperty("散装水泥累计使用量(吨)")
    private BigDecimal bulkCementAccumulativeUsage;

    @ApiModelProperty("废弃物本月综合利用量(吨)")
    private BigDecimal wasteThisMonthComprehensiveUtilization;

    @ApiModelProperty("废弃物累计综合利用量(吨)")
    private BigDecimal wasteAccumulativeComprehensiveUtilization;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("审核状态 1 审核中 2 审核通过 3 被退回 4 待上报")
    private Integer auditStatus;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
