package com.ningdatech.carapi.report.model.po;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "温台舟使用量上报数据")
public class ReqBulkCementThreeCityUsageDataUploadPO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("年目标")
    private BigDecimal yearTarget;

    @ApiModelProperty("本月使用量")
    private BigDecimal thisMonthUsage;

    @ApiModelProperty("累计使用量")
    private BigDecimal accumulativeUsage;

    @ApiModelProperty("同比增长率")
    private BigDecimal growthRate;

    @ApiModelProperty("占全年目标百分比")
    private BigDecimal percentageOfAnnualTarget;

    @ApiModelProperty("本省本月使用量")
    private BigDecimal thisProvinceThisMonthUsage;

    @ApiModelProperty("本省累计使用量")
    private BigDecimal thisProvinceAccumulativeUsage;

    @ApiModelProperty("外省本月使用量")
    private BigDecimal otherProvinceThisMonthUsage;

    @ApiModelProperty("外省累计使用量")
    private BigDecimal otherProvinceAccumulativeUsage;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;
}
