package com.ningdatech.carapi.report.model.po;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "混凝土供应量上报数据")
public class ReqConcreteSupplyDataUploadPO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("三类指导目标(万立方米)")
    private BigDecimal threeCategoryGuidGoal;

    @ApiModelProperty("生产企业数量(个)")
    private Integer productionCompanyNums;

    @ApiModelProperty("年设计生产能力(万立方米)")
    private BigDecimal annualDesignProductionCapacity;

    @ApiModelProperty("本月实际产量(立方米)")
    private BigDecimal thisMonthOutput;

    @ApiModelProperty("累计产量(立方米)")
    private BigDecimal accumulativeOutput;

    @ApiModelProperty("本月散装水泥使用量(吨)")
    private BigDecimal thisMonthCementUsage;

    @ApiModelProperty("散装水泥累计使用量(吨)")
    private BigDecimal cementAccumulativeUsage;

    @ApiModelProperty("本月废弃物综合利用量(吨)")
    private BigDecimal thisMonthWasteUtilization;

    @ApiModelProperty("累计废弃物综合利用量(吨)")
    private BigDecimal accumulativeWasteUtilization;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;
}
