package com.ningdatech.carapi.report.model.po;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "数据上报列表查询请求")
public class ReqDataUploadListPO extends PagePo {

    @ApiModelProperty("上报开始月份")
    private LocalDateTime reportStartMonth;
    @ApiModelProperty("上报开始年份")
    private Integer reportStartYear;

    @ApiModelProperty("上报结束月份")
    private LocalDateTime reportEndMonth;
    @ApiModelProperty("上报结束年份")
    private Integer reportEndYear;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;

    @ApiModelProperty("审核状态列表")
    private List<Integer> auditStatusList;

    @ApiModelProperty("区域信息id")
    private Long regionId;

    @ApiModelProperty("审核数据类型 1 散装水泥供应量快报数据、2 中转库进出量统计数据、3 温台舟使用量快报数据、4 混凝土供应量快报数据、5 砂浆供应量快报数据、6 非禁现区域散装水泥销售使用情况数据、7 散装水泥物流设施统计年报表数据、8 散装水泥、预拌砂浆、干混砂浆物流装备统计年报表数据")
    private Integer auditDataType;

    @ApiModelProperty("审核数据(对应上报数据)ID列表")
    private List<Long> auditDataIdList;

    @ApiModelProperty("审核数据ID列表Map")
    private Map<Long, List<Long>> auditDataIdListMap;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;
    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("关联数据ID")
    private Long relevanceDataId;

    @ApiModelProperty("查询类型 1 审核列表查询 2 查询列表查询")
    private Integer queryType;
}
