package com.ningdatech.carapi.report.model.po;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "非禁现区域散装水泥销售使用情况上报数据")
public class ReqNonProhibitedAreasDataUploadPO {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("非禁现区散装水泥销售点合计数量(个)")
    private Integer salePointAccumulativeNum;

    @ApiModelProperty("非禁现区水泥企业建点数量(个)")
    private Integer cementCompanyBuildPointNum;

    @ApiModelProperty("非禁现区其它投资建点数量(个)")
    private Integer otherInvestmentBuildPointNum;

    @ApiModelProperty("非禁现区散装水泥销售量(万吨)")
    private BigDecimal saleVolume;

    @ApiModelProperty("非禁现区散装水泥罐数量(个)")
    private Integer bulkCementTankNum;

    @ApiModelProperty("非禁现区散装水泥罐容量(吨)")
    private BigDecimal bulkCementTankCapacity;

    @ApiModelProperty("非禁现区水泥使用量(万吨)")
    private BigDecimal cementUsage;

    @ApiModelProperty("非禁现区散装水泥使用量(万吨)")
    private BigDecimal bulkCementUsage;

    @ApiModelProperty("生产预拌混凝土散装水泥使用量(万吨)")
    private BigDecimal readyMixedConcreteBulkCementUsage;

    @ApiModelProperty("生产水泥制品散装水泥使用量(万立方米)")
    private BigDecimal cementProductsBulkCementUsage;

    @ApiModelProperty("非禁现区域散装水泥使用率(%)")
    private BigDecimal bulkCementUsageRate;

    @ApiModelProperty("非禁现区域生产预拌混凝土产量(万立方米)")
    private BigDecimal readyMixedConcreteOutput;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出时间")
    private LocalDateTime submissionDate;

}
