package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("数据查询详情返回VO")
public class ResDataQueryDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;
    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("散装水泥供应量数据查询VO")
    private ResBulkCementSupplyDataQueryDetailVO bulkCementSupplyDataVo;

    @ApiModelProperty("中转库进出量数据查询VO")
    private ResBulkCementTransferDataQueryDetailVO bulkCementTransferDataVo;

    @ApiModelProperty("温台舟使用量数据查询VO")
    private ResBulkCementThreeCityUsageDataQueryDetailVO bulkCementThreeCityUsageDataVo;

    @ApiModelProperty("混凝土供应量数据查询VO")
    private ResConcreteSupplyDataQueryDetailVO concreteSupplyDataVo;

    @ApiModelProperty("砂浆供应量数据查询VO")
    private ResMortarSupplyDataQueryDetailVO mortarSupplyDataVo;

    @ApiModelProperty("非禁现区域散装水泥销售使用情况数据查询VO")
    private ResNonProhibitedAreasDataQueryDetailVO nonProAreasDataVo;

    @ApiModelProperty("散装水泥物流设施统计年报数据查询VO")
    private ResBulkCementLogFacStaDataQueryVO bulkCementLogFacStaDataVo;

    @ApiModelProperty("散装水泥、预拌混凝土、干混砂浆物流装备统计年报数据查询VO")
    private ResMaterialLogEquipStaDataQueryVO materialLogEquipStaDataVo;
}
