package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("非禁现区散装水泥销售情况数据上报详情VO")
public class ResNonProhibitedAreasDataUploadDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("非禁现区散装水泥销售点合计数量(个)")
    private Integer salePointAccumulativeNum;
    @ApiModelProperty("当前市非禁现区散装水泥销售点合计数量(个)合计")
    private Integer salePointAccumulativeNumTotal;

    @ApiModelProperty("非禁现区水泥企业建点数量(个)")
    private Integer cementCompanyBuildPointNum;
    @ApiModelProperty("当前市非禁现区水泥企业建点数量(个)合计")
    private Integer cementCompanyBuildPointNumTotal;

    @ApiModelProperty("非禁现区其它投资建点数量(个)")
    private Integer otherInvestmentBuildPointNum;
    @ApiModelProperty("当前市非禁现区其它投资建点数量(个)合计")
    private Integer otherInvestmentBuildPointNumTotal;

    @ApiModelProperty("非禁现区散装水泥销售量(万吨)")
    private BigDecimal saleVolume;
    @ApiModelProperty("当前市非禁现区散装水泥销售量(万吨)合计")
    private BigDecimal saleVolumeTotal;

    @ApiModelProperty("非禁现区散装水泥罐数量(个)")
    private Integer bulkCementTankNum;
    @ApiModelProperty("当前市非禁现区散装水泥罐数量(个)合计")
    private Integer bulkCementTankNumTotal;

    @ApiModelProperty("非禁现区散装水泥罐容量(吨)")
    private BigDecimal bulkCementTankCapacity;
    @ApiModelProperty("当前市非禁现区散装水泥罐容量(吨)合计")
    private BigDecimal bulkCementTankCapacityTotal;

    @ApiModelProperty("非禁现区水泥使用量(万吨)")
    private BigDecimal cementUsage;
    @ApiModelProperty("当前市非禁现区水泥使用量(万吨)合计")
    private BigDecimal cementUsageTotal;

    @ApiModelProperty("非禁现区散装水泥使用量(万吨)")
    private BigDecimal bulkCementUsage;
    @ApiModelProperty("当前市非禁现区散装水泥使用量(万吨)合计")
    private BigDecimal bulkCementUsageTotal;

    @ApiModelProperty("生产预拌混凝土散装水泥使用量(万吨)")
    private BigDecimal readyMixedConcreteBulkCementUsage;
    @ApiModelProperty("当前市生产预拌混凝土散装水泥使用量(万吨)合计")
    private BigDecimal readyMixedConcreteBulkCementUsageTotal;

    @ApiModelProperty("生产水泥制品散装水泥使用量(万立方米)")
    private BigDecimal cementProductsBulkCementUsage;
    @ApiModelProperty("当前市生产水泥制品散装水泥使用量(万立方米)合计")
    private BigDecimal cementProductsBulkCementUsageTotal;

    @ApiModelProperty("非禁现区域散装水泥使用率(%)")
    private BigDecimal bulkCementUsageRate;
    @ApiModelProperty("当前市非禁现区域散装水泥使用率(%)合计")
    private BigDecimal bulkCementUsageRateTotal;

    @ApiModelProperty("非禁现区域生产预拌混凝土产量(万立方米)")
    private BigDecimal readyMixedConcreteOutput;
    @ApiModelProperty("当前市非禁现区域生产预拌混凝土产量(万立方米)合计")
    private BigDecimal readyMixedConcreteOutputTotal;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出时间")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("是否为市合计数据")
    private Boolean isCityTotalData;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
