package com.ningdatech.carapi.road.controller;

import com.ningdatech.carapi.road.manage.RoadMonitorManage;
import com.ningdatech.carapi.road.model.vo.ComprehensiveSituationVO;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ningdatech.carapi.gps.manage.GpsDataPullManage;

import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-09
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/road-monitor")
@RequiredArgsConstructor
public class RoadMonitorController {

    private final RoadMonitorManage roadMonitorManage;

    @ApiOperation(value = "综合态势数据", notes = "综合态势数据")
    @GetMapping("/get-comprehensive-situation-data")
    public ComprehensiveSituationVO getComSitData() {
        return roadMonitorManage.getComSitData();
    }
}
