package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_insure_info")
@Data
@ApiModel(value = "NdInsureInfo", description = "安全管理-保险管理-承保信息")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdInsureInfo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 起包时间
     */
    @ApiModelProperty("起包时间")
    @TableField(value = "insure_time_start")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime insureTimeStart;

    /**
     * 到期时间
     */
    @ApiModelProperty("到期时间")
    @TableField(value = "insure_time_end")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime insureTimeEnd;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    @TableField(value = "company_name")
    private String companyName;

    /**
     * 企业ID
     */
    @ApiModelProperty("企业ID")
    @TableField(value = "company_id")
    private Long companyId;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    @TableField(value = "car_plate")
    private String carPlate;

    /**
     * 保险公司
     */
    @ApiModelProperty("保险公司")
    @TableField(value = "insure_company")
    private String insureCompany;

    /**
     * 保险公司全称
     */
    @ApiModelProperty("保险公司全称")
    @TableField(value = "insure_company_full_name")
    private String insureCompanyFullName;
}
