package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_insure_out_danger_analysis")
@Data
@ApiModel(value = "NdInsureOutDangerAnalysis", description = "安全管理-保险管理-出险分析")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdInsureOutDangerAnalysis extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 出险次数
     */
    @ApiModelProperty("出险次数")
    @TableField(value = "out_danger_times")
    private Integer outDangerTimes;

    /**
     * 事故时间
     */
    @ApiModelProperty("事故时间")
    @TableField(value = "accident_time")
    private LocalDateTime accidentTime;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;

    /**
     * 受伤人数
     */
    @ApiModelProperty("受伤人数")
    @TableField(value = "injuries")
    private Integer injuries;

    /**
     * 死亡人数
     */
    @ApiModelProperty("死亡人数")
    @TableField(value = "death_toll")
    private Integer deathToll;

    /**
     * 公司ID
     */
    @ApiModelProperty("公司ID")
    @TableField(value = "company_id")
    private Long companyId;
}
