package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_law_certificate_verification")
@Data
@ApiModel(value = "NdLawCertificateVerification", description = "安全管理-行政执法-证件核查")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdLawCertificateVerification extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 驾驶员ID
     */
    @ApiModelProperty("驾驶员ID")
    @TableField(value = "driver_id")
    private Long driverId;

    /**
     * 驾驶员名字
     */
    @ApiModelProperty("驾驶员名字")
    @TableField(value = "driver_name")
    private String driverName;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    @TableField(value = "id_card")
    private String idCard;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    @TableField(value = "car_plate")
    private String carPlate;

    /**
     * 检查日期
     */
    @ApiModelProperty("检查日期")
    @TableField(value = "check_date")
    private LocalDateTime checkDate;

    /**
     * 企业ID
     */
    @ApiModelProperty("企业ID")
    @TableField(value = "company_id")
    private Long companyId;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    @TableField(value = "company_name")
    private String companyName;

    /**
     * 是否有驾驶证
     */
    @ApiModelProperty("是否有驾驶证 0没有 1有")
    @TableField(value = "have_driver_license")
    private Integer haveDriverLicense;

    /**
     * 是否有行驶证
     */
    @ApiModelProperty("是否有行驶证 0没有 1有")
    @TableField(value = "have_driving_license")
    private Integer haveDrivingLicense;

    /**
     * 检查地址
     */
    @ApiModelProperty("检查地址")
    @TableField(value = "check_address")
    private String checkAddress;

    /**
     * 检查人员
     */
    @ApiModelProperty("检查人员")
    @TableField(value = "inspectors")
    private String inspectors;

    /**
     * 处理结束
     */
    @ApiModelProperty("处理结束")
    @TableField(value = "process_result")
    private String processResult;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @TableField(value = "remark")
    private String remark;

    /**
     * 区域id
     */
    @ApiModelProperty("区域id")
    @TableField(value = "region_id")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;
}
