package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_safety_credit")
@Data
@ApiModel(value = "NdSafetyCredit", description = "安全管理-安全信用")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdSafetyCredit extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;

    /**
     * 公司ID
     */
    @ApiModelProperty("公司ID")
    @TableField(value = "company_id")
    private Long companyId;

    /**
     * 公司名
     */
    @ApiModelProperty("公司名")
    @TableField(value = "company_name")
    private String companyName;

    /**
     * 公司地址
     */
    @ApiModelProperty("公司地址")
    @TableField(value = "company_address")
    private String companyAddress;

    /**
     * 法人代表
     */
    @ApiModelProperty("法人代表")
    @TableField(value = "legal_person")
    private String legalPerson;

    /**
     * 死亡事故数量
     */
    @ApiModelProperty("死亡事故数量")
    @TableField(value = "fatal_accidents_num")
    private Integer fatalAccidentsNum;

    /**
     * 安全整治记录
     */
    @ApiModelProperty("安全整治记录")
    @TableField(value = "safety_rectification_record")
    private String safetyRectificationRecord;

    /**
     * 执行监督指令
     */
    @ApiModelProperty("执行监督指令")
    @TableField(value = "execute_supervision_instructions")
    private String executeSupervisionInstructions;

    /**
     * 执行安全处罚
     */
    @ApiModelProperty("执行安全处罚")
    @TableField(value = "implement_safety_punishment")
    private String implementSafetyPunishment;

    /**
     * 报送安全报表
     */
    @ApiModelProperty("报送安全报表")
    @TableField(value = "submit_safety_report")
    private String submitSafetyReport;

    /**
     * 制定救援预案
     */
    @ApiModelProperty("制定救援预案")
    @TableField(value = "formulate_rescue_plan")
    private String formulateRescuePlan;

    /**
     * 安全教育培训
     */
    @ApiModelProperty("安全教育培训")
    @TableField(value = "safety_education_training")
    private String safetyEducationTraining;

    /**
     * 瞒报事故
     */
    @ApiModelProperty("瞒报事故")
    @TableField(value = "concealing_accidents")
    private String concealingAccidents;

    /**
     * 无证生产
     */
    @ApiModelProperty("无证生产")
    @TableField(value = "production_no_certificate")
    private String productionNoCertificate;

    /**
     * 无证驾驶
     */
    @ApiModelProperty("无证驾驶")
    @TableField(value = "driving_no_license")
    private String drivingNoLicense;
}
