package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_vehicle_accident_analysis")
@Data
@ApiModel(value = "NdVehicleAccidentAnalysis", description = "安全管理-事故管理-事故分析")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleAccidentAnalysis extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 事故时间
     */
    @ApiModelProperty("事故时间")
    @TableField(value = "accident_time")
    private LocalDateTime accidentTime;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;

    /**
     * 事故驾驶员
     */
    @ApiModelProperty("事故驾驶员")
    @TableField(value = "accident_driver")
    private String accidentDriver;

    /**
     * 经纬度
     */
    @ApiModelProperty("经纬度")
    @TableField(value = "longitude_latitude")
    private String longitudeLatitude;

    /**
     * 事故地点
     */
    @ApiModelProperty("事故地点")
    @TableField(value = "accident_address")
    private String accidentAddress;

    @ApiModelProperty("公司ID")
    @TableField(value = "company_id")
    private Long companyId;

    private String carPlate;
}
