package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_vehicle_violation")
@Data
@ApiModel(value = "NdVehicleViolation", description = "安全管理-违章管理")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleViolation extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @TableField(value = "company_id")
    private Long companyId;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    @TableField(value = "company_name")
    private String companyName;

    /**
     * 驾驶员
     */
    @ApiModelProperty("驾驶员")
    @TableField(value = "driver_name")
    private String driverName;

    /**
     * 驾驶员ID
     */
    @ApiModelProperty("驾驶员ID")
    @TableField(value = "driver_id")
    private Long driverId;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    @TableField(value = "id_card")
    private String idCard;

    /**
     * 违章时间
     */
    @ApiModelProperty("违章时间")
    @TableField(value = "violation_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime violationDate;

    /**
     * 违章类型
     */
    @ApiModelProperty("违章类型")
    @TableField(value = "violation_type")
    private Integer violationType;

    /**
     * 缺少证件类型
     */
    @ApiModelProperty("缺少证件类型")
    @TableField(value = "missing_certificate_type")
    private Integer missingCertificateType;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    @TableField(value = "car_plate")
    private String carPlate;

    /**
     * 闯红灯地址
     */
    @ApiModelProperty("闯红灯地址")
    @TableField(value = "address_red_light")
    private String addressRedLight;

    /**
     * 违规路段名
     */
    @ApiModelProperty("违规路段名")
    @TableField(value = "way_section")
    private String waySection;

    /**
     * 违章次数
     */
    @ApiModelProperty("违章次数")
    @TableField(value = "violation_times")
    private Integer violationTimes;

    /**
     * 违章时间段
     */
    @ApiModelProperty("违章时间段")
    @TableField(value = "violation_period")
    private String violationPeriod;

    /**
     * 违章地点
     */
    @ApiModelProperty("违章地点")
    @TableField(value = "violation_address")
    private String violationAddress;

    /**
     * 违章编号
     */
    @ApiModelProperty("违章编号")
    @TableField(value = "violation_no")
    private String violationNo;

    /**
     * 经度
     */
    @ApiModelProperty("经度")
    @TableField(value = "longitude")
    private String longitude;

    /**
     * 经度
     */
    @ApiModelProperty("纬度")
    @TableField(value = "latitude")
    private String latitude;


}
