package com.ningdatech.carapi.safe.model.dto;

import java.io.Serializable;
import java.util.List;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 实体类
 * 保险管理
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "InsurePageQuery", description = "保险管理")
public class InsurePageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 起包开始时间
     */
    @ApiModelProperty("起包开始时间")
    private String qibaoStartTime;

    /**
     * 起包结束时间
     */
    @ApiModelProperty("起包结束时间")
    private String qibaoEndTime;

    /**
     * 到期开始时间
     */
    @ApiModelProperty("到期开始时间")
    private String daoqiStartTime;

    /**
     * 到期结束时间
     */
    @ApiModelProperty("到期结束时间")
    private String daoqiEndTime;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String endTime;


    /**
     * 区域code 拼接 code,level
     */
    @ApiModelProperty("区域id")
    private Long regionId;
    @ApiModelProperty("区域IDs")
    private List<Long> regionIds;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 出险次数排名
     */
    @ApiModelProperty("出险次数排名")
    private Integer outDangerRank;

    /**
     * 上报状态
     */
    @ApiModelProperty(value = "上报状态",allowableValues = "0 未上报,1 已上报")
    private Integer reportStatus;

    private String dataScopeSql;
}
