package com.ningdatech.carapi.safe.model.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author CMM
 * @description
 * @since 2022/11/18 15:50
 */
@Data
@ApiModel(value = "VehicleOverspeedVehiclePO", description = "安全管理-超速管理-车辆超速")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class VehicleOverspeedVehiclePO extends BaseEntity implements Serializable {


    private static final long serialVersionUID = 970486512217363874L;

    /**
     * 超速时间
     */
    @ApiModelProperty("超速时间")
    @TableField(value = "overspeed_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime overspeedDate;

    /**
     * 超速次数
     */
    @ApiModelProperty("超速次数")
    @TableField(value = "overspeed_times")
    private Integer overspeedTimes;

    /**
     * 最高速率
     */
    @ApiModelProperty("最高速率")
    @TableField(value = "max_speed")
    private Double maxSpeed;

    /**
     * 排名
     */
    @ApiModelProperty("排名")
    @TableField(value = "rank")
    private Integer rank;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    @TableField(value = "company_id")
    private Long companyId;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    @TableField(value = "company_name")
    private String companyName;

    /**
     * 所属市
     */
    @ApiModelProperty("所属市")
    @TableField(value = "city")
    private String city;

    /**
     * 所属区
     */
    @ApiModelProperty("所属区")
    @TableField(value = "distinguish")
    private String distinguish;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;
    private String regionName;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    @TableField(value = "car_plate")
    private String carPlate ;
}
