package com.ningdatech.carapi.safe.model.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@TableName("nd_insure_out_danger")
@ApiModel(value = "NdInsureOutDangerVO", description = "安全管理-保险管理-出险信息")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdInsureOutDangerVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 事故时间
     */
    @ApiModelProperty("事故时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime accidentTime;

    /**
     * 事故地点
     */
    @ApiModelProperty("事故地点")
    private String accidentAddress;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 企业ID
     */
    @ApiModelProperty("企业ID")
    private Long companyId;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 保险公司
     */
    @ApiModelProperty("保险公司")
    private String insureCompany;

    /**
     * 受伤人数
     */
    @ApiModelProperty("受伤人数")
    private Integer injuries;

    /**
     * 死亡人数
     */
    @ApiModelProperty("死亡人数")
    private Integer deathToll;

    /**
     * 理赔金额
     */
    @ApiModelProperty("理赔金额")
    private BigDecimal compensateAmount;

    /**
     * 上报状态
     */
    @ApiModelProperty("上报状态")
    private Integer reportStatus;

    /**
     * 上报状态名称
     */
    @ApiModelProperty("上报状态名称")
    private String reportStatusName;

}
