package com.ningdatech.carapi.safe.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdVehicleAccidentAnalysisVO", description = "安全管理-事故管理-事故分析")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleAccidentAnalysisVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 事故时间
     */
    @ApiModelProperty("事故时间")
    private LocalDateTime accidentTime;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;

    /**
     * 事故驾驶员
     */
    @ApiModelProperty("事故驾驶员")
    private String accidentDriver;

    /**
     * 驾驶员ID
     */
    @ApiModelProperty("驾驶员ID")
    private String driverId;

    /**
     * 经纬度
     */
    @ApiModelProperty("经纬度")
    private String longitudeLatitude;

    /**
     * 事故地点
     */
    @ApiModelProperty("事故地点")
    private String accidentAddress;

    private String carPlate;
}
