package com.ningdatech.carapi.safe.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdVehicleAccidentDeadVO", description = "安全管理-事故管理-死亡事故")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleAccidentDeadVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 事故时间
     */
    @ApiModelProperty("事故时间")
    private LocalDateTime accidentTime;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 事故驾驶员
     */
    @ApiModelProperty("事故驾驶员")
    private String accidentDriver;

    /**
     * 驾驶员ID
     */
    @ApiModelProperty("驾驶员ID")
    private String driverId;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 企业ID
     */
    @ApiModelProperty("企业ID")
    private Long companyId;

    /**
     * 事故地址
     */
    @ApiModelProperty("事故地址")
    private String accidentAddress;

    @ApiModelProperty("死亡人数")
    private Long deathToll;

    /**
     * 上报状态
     */
    @ApiModelProperty("上报状态")
    private Integer reportStatus;

    /**
     * 上报状态名称
     */
    @ApiModelProperty("上报状态名称")
    private String reportStatusName;

    /**
     * 简要案情
     */
    @ApiModelProperty("简要案情")
    private String briefCase;

    /**
     * 事故责任认定书认定内容
     */
    @ApiModelProperty("事故责任认定书认定内容")
    private String firmContent;
}
