package com.ningdatech.carapi.scheduler.service;

import java.time.LocalDateTime;
import java.util.List;

import com.ningdatech.carapi.scheduler.model.dto.GpsSpeedDataDTO;
import com.ningdatech.carapi.scheduler.model.dto.OverSpeedGpsDataDTO;

/**
 * @return
 * @author CMM
 * @since 2023/05/29 15:52
 */
public interface OverSpeedGpsDataService {

    /**
     * 获取GPS数据中的车辆速度信息
     * @param date
     * @param startIndex
     * @param endIndex
     * @return
     */
    List<OverSpeedGpsDataDTO> getDataInGps(String date, Long startIndex, Long endIndex);


    /**
     * 获取超速报警时刻5分钟后的GPS数据
     * @param carPlate
     * @param timeBucket
     * @param warnTime
     * @return 返回数据列表
     * @author CMM
     * @since 2023/06/01 14:59
     */
    List<GpsSpeedDataDTO> getDataInGps(String carPlate, LocalDateTime warnTime, Integer timeBucket);

}
