package com.ningdatech.carapi.sys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;
import java.io.Serializable;
import static com.baomidou.mybatisplus.annotation.SqlCondition.LIKE;

/**
 * @Classname CompanyType
 * @Description
 * @Date 2022/11/2 13:54
 * @Created by PoffyZhang
 */
@Data
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@TableName("nd_company_type")
@ApiModel(value = "CompanyType", description = "企业类型")
@AllArgsConstructor
@Builder
public class CompanyType implements Serializable {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private static final long serialVersionUID = 1L;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业类型名称")
    @TableField(value = "name", condition = LIKE)
    private String name;

    /**
     * 父节点
     */
    @ApiModelProperty(value = "父节点")
    @TableField(value = "pid")
    private Long pid;
}
