package com.ningdatech.carapi.sys.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 实体类
 * 运营商
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "OperatorSaveDTO", description = "运营商")
public class OperatorSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 运营商名称
     */
    @ApiModelProperty(value = "运营商名称")
    @NotEmpty(message = "请输入运营商名称!")
    private String name;

    /**
     * 运营商备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 运营商区域负责人
     */
    @ApiModelProperty(value = "运营商区域负责人")
    private List<OperatorRegionHeadSaveDTO> operatorRegionHeads;
}
