package com.ningdatech.carapi.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.sys.entity.OperatorRegionHead;
import com.ningdatech.carapi.sys.entity.dto.OperatorRegionHeadSaveDTO;

import java.util.List;

/**
 * <p>
 * 运营商区域负责人
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-09-30
 */
public interface OperatorRegionHeadService extends IService<OperatorRegionHead> {


    /**
     * 根据ID删除
     * @param ids id
     * @return 是否成功
     */
    boolean removeByIdWithCache(List<Long> ids);

    /**
     * 根据运营商ID删除区域负责人
     * @param operatorId
     * @return 是否成功
     */
    boolean removeByRegionId(Long operatorId);

    /**
     * 保存企业
     *
     * @param datas  运营商区域负责人
     * @param userId 用户id
     */
    void saveBatch(List<OperatorRegionHeadSaveDTO> datas,Long operatorId, Long userId);
}
