package com.ningdatech.carapi.user.controller;

import com.ningdatech.carapi.user.manage.UserInfoManage;
import com.ningdatech.carapi.user.model.vo.UserBasicInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author liuxinxin
 * @date 2022/10/24 下午2:14
 */

@RestController
@RequestMapping("/api/v1/user/info")
@Api(tags = {"用户信息-相关接口"})
@RequiredArgsConstructor
public class UserInfoController {
    private final UserInfoManage userInfoManage;


    @ApiOperation(value = "获取用户基本信息")
    @PostMapping("/get/basic-info")
    public UserBasicInfoVO getUserBasicInfo() {
        return userInfoManage.getUserBasicInfo();
    }

    @ApiOperation(value = "创建企业信息员账号信息")
    @GetMapping("/create/companyUser")
    public String createCompanyUser() {
        return userInfoManage.createCompanyUser();
    }

}
